<?php

namespace ProjectManagement\prjProjectManagement;

// Navbar menu
$topMenu = new Menu("navbar", true, true);
echo $topMenu->toScript();

// Sidebar menu
$sideMenu = new Menu("menu", true, false);
$sideMenu->addMenuItem(19, "mci_Master", $Language->menuPhrase("19", "MenuText"), "", -1, "", true, false, true, "fas fa-database", "", false, true);
$sideMenu->addMenuItem(1, "mi_masterclient", $Language->menuPhrase("1", "MenuText"), "masterclientlist", 19, "", AllowListMenu('{E146A893-31C5-4EA3-AB83-97D09412B27F}masterclient'), false, false, "", "", false, true);
$sideMenu->addMenuItem(4, "mi_masterrole", $Language->menuPhrase("4", "MenuText"), "masterrolelist", 19, "", AllowListMenu('{E146A893-31C5-4EA3-AB83-97D09412B27F}masterrole'), false, false, "", "", false, true);
$sideMenu->addMenuItem(17, "mi_projecttemplate", $Language->menuPhrase("17", "MenuText"), "projecttemplatelist", 19, "", AllowListMenu('{E146A893-31C5-4EA3-AB83-97D09412B27F}projecttemplate'), false, false, "", "", false, true);
$sideMenu->addMenuItem(18, "mi_projecttemplateresult", $Language->menuPhrase("18", "MenuText"), "projecttemplateresultlist?cmd=resetall", 19, "", AllowListMenu('{E146A893-31C5-4EA3-AB83-97D09412B27F}projecttemplateresult'), false, false, "", "", false, true);
$sideMenu->addMenuItem(22, "mi_masterprogress", $Language->menuPhrase("22", "MenuText"), "masterprogresslist", 19, "", AllowListMenu('{E146A893-31C5-4EA3-AB83-97D09412B27F}masterprogress'), false, false, "", "", false, true);
$sideMenu->addMenuItem(27, "mi_projecttemplatepaymentprocess", $Language->menuPhrase("27", "MenuText"), "projecttemplatepaymentprocesslist?cmd=resetall", 19, "", AllowListMenu('{E146A893-31C5-4EA3-AB83-97D09412B27F}projecttemplatepaymentprocess'), false, false, "", "", false, true);
$sideMenu->addMenuItem(25, "mi_masterprojectcategory", $Language->menuPhrase("25", "MenuText"), "masterprojectcategorylist", 19, "", AllowListMenu('{E146A893-31C5-4EA3-AB83-97D09412B27F}masterprojectcategory'), false, false, "", "", false, true);
$sideMenu->addMenuItem(21, "mci_Project", $Language->menuPhrase("21", "MenuText"), "", -1, "", true, false, true, "fas fa-tasks", "", false, true);
$sideMenu->addMenuItem(3, "mi_masterproject", $Language->menuPhrase("3", "MenuText"), "masterprojectlist", 21, "", AllowListMenu('{E146A893-31C5-4EA3-AB83-97D09412B27F}masterproject'), false, false, "", "", false, true);
$sideMenu->addMenuItem(6, "mi_projectmember", $Language->menuPhrase("6", "MenuText"), "projectmemberlist?cmd=resetall", 21, "", AllowListMenu('{E146A893-31C5-4EA3-AB83-97D09412B27F}projectmember'), false, false, "", "", false, true);
$sideMenu->addMenuItem(10, "mi_projecttask", $Language->menuPhrase("10", "MenuText"), "projecttasklist?cmd=resetall", 21, "", AllowListMenu('{E146A893-31C5-4EA3-AB83-97D09412B27F}projecttask'), false, false, "", "", false, true);
$sideMenu->addMenuItem(9, "mi_projectresult", $Language->menuPhrase("9", "MenuText"), "projectresultlist?cmd=resetall", 21, "", AllowListMenu('{E146A893-31C5-4EA3-AB83-97D09412B27F}projectresult'), false, false, "", "", false, true);
$sideMenu->addMenuItem(13, "mi_projectmom", $Language->menuPhrase("13", "MenuText"), "projectmomlist?cmd=resetall", 21, "", AllowListMenu('{E146A893-31C5-4EA3-AB83-97D09412B27F}projectmom'), false, false, "", "", false, true);
$sideMenu->addMenuItem(16, "mi_projectdocuments", $Language->menuPhrase("16", "MenuText"), "projectdocumentslist?cmd=resetall", 21, "", AllowListMenu('{E146A893-31C5-4EA3-AB83-97D09412B27F}projectdocuments'), false, false, "", "", false, true);
$sideMenu->addMenuItem(26, "mi_projectproblems", $Language->menuPhrase("26", "MenuText"), "projectproblemslist?cmd=resetall", 21, "", AllowListMenu('{E146A893-31C5-4EA3-AB83-97D09412B27F}projectproblems'), false, false, "", "", false, true);
$sideMenu->addMenuItem(7, "mi_projectpaymentprocess", $Language->menuPhrase("7", "MenuText"), "projectpaymentprocesslist?cmd=resetall", 21, "", AllowListMenu('{E146A893-31C5-4EA3-AB83-97D09412B27F}projectpaymentprocess'), false, false, "", "", false, true);
$sideMenu->addMenuItem(28, "mi_manualdocument", $Language->menuPhrase("28", "MenuText"), "manualdocumentlist", -1, "", AllowListMenu('{E146A893-31C5-4EA3-AB83-97D09412B27F}manualdocument'), false, false, "fas fa-book", "", false, true);
$sideMenu->addMenuItem(54, "mci_Dashboard", $Language->menuPhrase("54", "MenuText"), "", -1, "", true, false, true, "fas fa-tachometer-alt", "", false, true);
$sideMenu->addMenuItem(29, "mi_PerformanceReport", $Language->menuPhrase("29", "MenuText"), "performancereport", 54, "", AllowListMenu('{E146A893-31C5-4EA3-AB83-97D09412B27F}PerformanceReport'), false, false, "", "", false, true);
$sideMenu->addMenuItem(55, "mi_viewwaitingfortask", $Language->menuPhrase("55", "MenuText"), "viewwaitingfortasklist", 54, "", AllowListMenu('{E146A893-31C5-4EA3-AB83-97D09412B27F}viewwaitingfortask'), false, false, "", "", false, true);
$sideMenu->addMenuItem(20, "mci_Management_User", $Language->menuPhrase("20", "MenuText"), "", -1, "", true, false, true, "fas fa-users-cog", "", false, true);
$sideMenu->addMenuItem(12, "mi_userlevels", $Language->menuPhrase("12", "MenuText"), "userlevelslist", 20, "", AllowListMenu('{E146A893-31C5-4EA3-AB83-97D09412B27F}userlevels'), false, false, "", "", false, true);
$sideMenu->addMenuItem(2, "mi_masteruser", $Language->menuPhrase("2", "MenuText"), "masteruserlist", 20, "", AllowListMenu('{E146A893-31C5-4EA3-AB83-97D09412B27F}masteruser'), false, false, "", "", false, true);
echo $sideMenu->toScript();
